System.Design 2.0.0.0 System.Object System.Web.UI.Design.IDataSourceSchema

The class provides information about a particular class, given an instance of that class. For example, given a object, a object, or an instance of a custom class that you create, the methods and properties provide information about the class from which the object derives. It does not provide information about the specific instance, but about the class.

The class is used by custom control designers to assist in preparing sample data for previewing custom controls.

Represents the structure, or schema, of an object type.

- Constructor
  2.0.0.0
  To be added.

  Creates a new instance of the class using the provided object.

  A that describes an object.
- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[]

  Although the method always returns an array of objects that implement the interface, the exact return value is dependent on the object that is provided when creating the instance of the class.

  The following table provides examples of return values.

  Underlying Type

  Return Value

  A

  An array of type , one for each .

  A

  A one-item array containing a .

  An type

  A one-item array containing an .

  Any other type

  A one-item array containing an .

  Gets an array of schema descriptors for views into a data source.

  An array of instances of , or of instances of a class that implements the interface.